# Networking parameters
sysctl -w net.core.somaxconn=1048576
sysctl -w net.ipv4.tcp_max_syn_backlog=262144
sysctl -w net.ipv4.tcp_tw_reuse=1
sysctl -w net.ipv4.ip_local_port_range="1024 65535"
sysctl -w vm.max_map_count=2097152

# Debugging options
echo 0 > /proc/sys/kernel/yama/ptrace_scope         # gdb attach
echo -1 > /proc/sys/kernel/perf_event_paranoid      # perf anything
echo 0 > /proc/sys/kernel/kptr_restrict             # perf tracing
echo 0 > /proc/sys/kernel/nmi_watchdog              # perf cache tracing

# CPU frequency
$X86_ENERGY_PERF_POLICY --turbo-enable 0
$CPUPOWER frequency-set -f 2.7GHz || true # This can throw out errors but it's generally harmless
